gstreamermm: Gst::MultiQueue Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::MultiQueue Class Reference
gstreamermm Plugins

A Wrapper for the multiqueue plugin. More...

Inheritance diagram for Gst::MultiQueue:
[legend]
Collaboration diagram for Gst::MultiQueue:
[legend]

List of all members.

## Public Member Functions
virtual | ~MultiQueue ()
GstMultiQueue* | gobj ()
| Provides access to the underlying C GObject.
const GstMultiQueue* | gobj () const
| Provides access to the underlying C GObject.
GstMultiQueue* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< guint > | property_extra_size_bytes ()
| Amount of data the queues can grow if one of them is empty (bytes, 0=disable) (NOT IMPLEMENTED).
Glib::PropertyProxy_ReadOnly < guint > | property_extra_size_bytes () const
| Amount of data the queues can grow if one of them is empty (bytes, 0=disable) (NOT IMPLEMENTED).
Glib::PropertyProxy< guint > | property_extra_size_buffers ()
| Amount of buffers the queues can grow if one of them is empty (0=disable) (NOT IMPLEMENTED).
Glib::PropertyProxy_ReadOnly < guint > | property_extra_size_buffers () const
| Amount of buffers the queues can grow if one of them is empty (0=disable) (NOT IMPLEMENTED).
Glib::PropertyProxy< guint64 > | property_extra_size_time ()
| Amount of time the queues can grow if one of them is empty (in ns, 0=disable) (NOT IMPLEMENTED).
Glib::PropertyProxy_ReadOnly < guint64 > | property_extra_size_time () const
| Amount of time the queues can grow if one of them is empty (in ns, 0=disable) (NOT IMPLEMENTED).
Glib::PropertyProxy< guint > | property_max_size_bytes ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_bytes () const
| Max.
Glib::PropertyProxy< guint > | property_max_size_buffers ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_buffers () const
| Max.
Glib::PropertyProxy< guint64 > | property_max_size_time ()
| Max.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_size_time () const
| Max.
Glib::PropertyProxy< bool > | property_use_buffering ()
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.
Glib::PropertyProxy_ReadOnly < bool > | property_use_buffering () const
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.
Glib::PropertyProxy< int > | property_low_percent ()
| Low threshold for buffering to start.
Glib::PropertyProxy_ReadOnly< int > | property_low_percent () const
| Low threshold for buffering to start.
Glib::PropertyProxy< int > | property_high_percent ()
| High threshold for buffering to finish.
Glib::PropertyProxy_ReadOnly< int > | property_high_percent () const
| High threshold for buffering to finish.
Glib::PropertyProxy< bool > | property_sync_by_running_time ()
| Synchronize deactivated or not-linked streams by running time.
Glib::PropertyProxy_ReadOnly < bool > | property_sync_by_running_time () const
| Synchronize deactivated or not-linked streams by running time.
Glib::SignalProxy0< void > | signal_underrun ()
Glib::SignalProxy0< void > | signal_overrun ()
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< MultiQueue > | create ()
| Creates a new multiqueue plugin with a unique name.
static Glib::RefPtr< MultiQueue > | create (const Glib::ustring& name)
| Creates a new multiqueue plugin with the given name.
## Protected Member Functions
| MultiQueue ()
| MultiQueue (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::MultiQueue > | wrap (GstMultiQueue* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the multiqueue plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::MultiQueue::~MultiQueue | ( |  | ) | `[virtual]`

Gst::MultiQueue::MultiQueue | ( |  | ) | `[protected]`

Gst::MultiQueue::MultiQueue | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<MultiQueue> Gst::MultiQueue::create | ( |  | ) | `[static]`

Creates a new multiqueue plugin with a unique name.

static Glib::RefPtr<MultiQueue> Gst::MultiQueue::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new multiqueue plugin with the given name.

static GType Gst::MultiQueue::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstMultiQueue* Gst::MultiQueue::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstMultiQueue* Gst::MultiQueue::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstMultiQueue* Gst::MultiQueue::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< guint > Gst::MultiQueue::property_extra_size_buffers | ( |  | ) |

Amount of buffers the queues can grow if one of them is empty (0=disable) (NOT IMPLEMENTED).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::MultiQueue::property_extra_size_buffers | ( |  | ) | const

Amount of buffers the queues can grow if one of them is empty (0=disable) (NOT IMPLEMENTED).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::MultiQueue::property_extra_size_bytes | ( |  | ) |

Amount of data the queues can grow if one of them is empty (bytes, 0=disable) (NOT IMPLEMENTED).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::MultiQueue::property_extra_size_bytes | ( |  | ) | const

Amount of data the queues can grow if one of them is empty (bytes, 0=disable) (NOT IMPLEMENTED).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::MultiQueue::property_extra_size_time | ( |  | ) |

Amount of time the queues can grow if one of them is empty (in ns, 0=disable) (NOT IMPLEMENTED).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::MultiQueue::property_extra_size_time | ( |  | ) | const

Amount of time the queues can grow if one of them is empty (in ns, 0=disable) (NOT IMPLEMENTED).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::MultiQueue::property_high_percent | ( |  | ) |

High threshold for buffering to finish.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiQueue::property_high_percent | ( |  | ) | const

High threshold for buffering to finish.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::MultiQueue::property_low_percent | ( |  | ) |

Low threshold for buffering to start.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiQueue::property_low_percent | ( |  | ) | const

Low threshold for buffering to start.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::MultiQueue::property_max_size_buffers | ( |  | ) |

Max.

number of buffers in the queue (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::MultiQueue::property_max_size_buffers | ( |  | ) | const

Max.

number of buffers in the queue (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::MultiQueue::property_max_size_bytes | ( |  | ) |

Max.

amount of data in the queue (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::MultiQueue::property_max_size_bytes | ( |  | ) | const

Max.

amount of data in the queue (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::MultiQueue::property_max_size_time | ( |  | ) |

Max.

amount of data in the queue (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::MultiQueue::property_max_size_time | ( |  | ) | const

Max.

amount of data in the queue (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::MultiQueue::property_sync_by_running_time | ( |  | ) |

Synchronize deactivated or not-linked streams by running time.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::MultiQueue::property_sync_by_running_time | ( |  | ) | const

Synchronize deactivated or not-linked streams by running time.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::MultiQueue::property_use_buffering | ( |  | ) |

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::MultiQueue::property_use_buffering | ( |  | ) | const

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gst::MultiQueue::signal_overrun | ( |  | ) |

Slot Prototype:
  `void on_my_overrun()`

Glib::SignalProxy0< void > Gst::MultiQueue::signal_underrun | ( |  | ) |

Slot Prototype:
  `void on_my_underrun()`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::MultiQueue > wrap | ( | GstMultiQueue * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/multiqueue.h